Skip to main content
PUT
Update an event promo code

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

id
integer
required

Journey ID in the authenticated organization.

Example:

42

Body

application/json
code
string

Code.

Maximum string length: 80
Example:

"Example"

type
enum<string> | null

Type.

Available options:
percent,
fixed,
free,
access,
null
Example:

"percent"

value
number | null

Value.

Required range: x >= 0
Example:

1

max_redemptions
integer | null

Max redemptions.

Required range: x >= 1
Example:

1

per_order_limit
integer | null

Per order limit.

Required range: x >= 1
Example:

1

starts_at
string<date-time> | null

Starts at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

ends_at
string<date-time> | null

Ends at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

ticket_type_ids
integer[] | null

Ticket type ids.

*. Referenced record must belong to the authenticated organization and this event.

sponsor_package_ids
integer[] | null

Sponsor package ids.

*. Referenced record must belong to the authenticated organization and this event.

is_active
boolean | null

Is active.

Example:

false

Response

Update an event promo code completed.

data
object